Bug 1003167 - Wacom Intuos5 S Touch Wireless not recognized [NEEDINFO]
Wacom Intuos5 S Touch Wireless not recognized
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 07:16 EDT by Alberto Ferrante
Modified: 2014-12-10 10:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 10:01:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
Dmesg (75.64 KB, text/plain)
2014-01-21 18:13 EST, Alberto Ferrante
no flags Details
Output of find /sys -name \*led\* (58.38 KB, text/plain)
2014-02-10 11:20 EST, Alberto Ferrante
no flags Details

  None (edit)
Description Alberto Ferrante 2013-08-31 07:16:25 EDT
Description of problem:
The tablet works with some tweakings (mainly by editing the KDE files) but the /sys files related to the tablet (mainly wacom_led/status_led0_select) are not correctly created


Version-Release number of selected component (if applicable):
7.1-3

How reproducible:
Plug a Wacom Intuos5 S Touch Wireless

Steps to Reproduce:
1. Plug a Wacom Intuos5 S Touch Wireless
2. Check the files in /sys/bus/usb/devices/*/wacom_led/status_led0_select
3.

Actual results:
Directory wacom_led not created

Expected results:
directory wacom_led and related files should be created

Additional info:
The same tablet without wireless module works file (i.e., files are correctly created)
Comment 1 Alberto Ferrante 2013-11-16 20:15:24 EST
... Any news about this bug? It looks like it went unnoticed...
Comment 2 Josh Boyer 2013-12-16 10:35:45 EST
What kernel version is being used here?

Can you post the dmesg output when you attach both tablets?
Comment 3 Alberto Ferrante 2013-12-21 08:09:37 EST
When I connect the Intuos5 S Touch Wireless I get:
[ 8168.357082] wacom 5-1:1.0: wireless tablet connected with PID 26
[ 8168.357141] input: Wacom Wireless Receiver Pen as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.1/input/input20
[ 8168.357639] input: Wacom Wireless Receiver Finger as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.2/input/input21


When I connect the tablet by USB I get:
[ 8286.213775] usb 1-1.2: new full-speed USB device number 4 using ehci-pci
[ 8286.302248] usb 1-1.2: New USB device found, idVendor=056a, idProduct=0026
[ 8286.302252] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 8286.302253] usb 1-1.2: Product: Intuos5 touch S
[ 8286.302255] usb 1-1.2: Manufacturer: Wacom Co.,Ltd.
[ 8286.303042] input: Wacom Intuos5 touch S Pen as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input22
[ 8286.307826] input: Wacom Intuos5 touch S Finger as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/input/input23
Comment 4 Alberto Ferrante 2013-12-21 08:10:33 EST
I forgot to write about kernel:
3.11.10-200.fc19.x86_64
Comment 5 Justin M. Forbes 2014-01-03 17:10:13 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 6 Josh Boyer 2014-01-06 15:48:59 EST
Please test this scratch build when it completes and let us know how it works:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6366359
Comment 7 Alberto Ferrante 2014-01-06 18:40:52 EST
With this build the device is correctly identified in dmesg
[  110.574263] wacom 5-1:1.0: wireless tablet connected with PID 26
[  110.574377] input: Wacom Intuos5 touch S (WL) Pen as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.1/input/input20
[  110.574994] input: Wacom Intuos5 touch S (WL) Finger as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.2/input/input21


but the related files are not created in /sys (just the ones related to battery are)
find /sys -iname "wacom*"
/sys/bus/usb/drivers/wacom
/sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/power_supply/wacom_battery
/sys/class/power_supply/wacom_battery
/sys/module/wacom

find  /sys/ -iname "wacom_led*"
no file found
Comment 8 Josh Boyer 2014-01-07 07:17:45 EST
Please attach the dmesg output from the test kernel.
Comment 9 Alberto Ferrante 2014-01-07 16:30:24 EST
the dmesg output is as follows
[  110.574263] wacom 5-1:1.0: wireless tablet connected with PID 26
[  110.574377] input: Wacom Intuos5 touch S (WL) Pen as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.1/input/input20
[  110.574994] input: Wacom Intuos5 touch S (WL) Finger as /devices/pci0000:00/0000:00:1c.4/0000:04:00.0/usb5/5-1/5-1:1.2/input/input21

I haven't tried with USB, just by using wireless (that is when the problem occurs)
Comment 10 Josh Boyer 2014-01-07 17:45:28 EST
Please attach the entire dmesg output as a plain text attachment, not just the small snippet.

I'm also slightly confused as to what you are saying isn't working.  You said "the same tablet without the wireless module" in the initial report.  Did you mean when you plugged it in via USB, or did you mean a similar model tablet that doesn't have wireless capability?
Comment 11 Alberto Ferrante 2014-01-07 19:23:47 EST
The Wacom Intuos5 can be equipped with a wireless module. With that module you can either use the tablet as a wireless device or connect it through USB as a regular Intuos5. Connecting through USB everything works (with some tweaks in che config files). Using the wireless the tablet works, but the associated files in /sys are not created and, therefore, it is not possible to control certain functionalities such as the tablet LED. I will add the full dmesg ASAP.
Comment 12 Alberto Ferrante 2014-01-21 18:13:19 EST
Created attachment 853504 [details]
Dmesg
Comment 13 Aristeu Rozanski 2014-02-06 15:34:52 EST
Hi Alberto,
did you check on
/sys/class/hidraw/hidraw<num>/device/* ?
When connected wirelessly, the tablet is handled by HID code instead of the usual
usb wacom driver.
Comment 14 Alberto Ferrante 2014-02-09 18:26:32 EST
Hi,
I did not check before, but I have checked now. You are right, some files are created in /sys, but not in hidraw, only in /sys/class/input/input<number>
Among these files I cannot find any that controls the LED. For sure there is none named status_led0_select and I could not find any other file that can be connected somehow to that one
Comment 15 Aristeu Rozanski 2014-02-10 09:37:14 EST
Mind attaching the output of
find /sys -name  \*led\*
in that system?
Comment 16 Alberto Ferrante 2014-02-10 11:20:20 EST
Created attachment 861484 [details]
Output of find /sys -name  \*led\*

find /sys -name  \*led\*
Comment 17 Alberto Ferrante 2014-02-10 11:20:51 EST
Hi,
sure, I put it in the attachments.
Comment 18 Justin M. Forbes 2014-02-24 09:01:15 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 19 Alberto Ferrante 2014-02-27 19:33:49 EST
I confirm that the issue is still there. No changes w.r.t. what described in the previous comments.
Comment 20 Justin M. Forbes 2014-05-21 15:40:14 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 21 Alberto Ferrante 2014-06-07 11:54:45 EDT
I confirm that the issue is still there. No changes w.r.t. what described previously.
Comment 22 Benjamin Tissoires 2014-10-22 09:03:13 EDT
The wacom kernel module has received some massive updates in v3.17 and v3.18-rc branches. Especially, with v3.18-rc1, the LEDs for the Intuos connected with the Wireless Receiver should now work.

Libwacom also need to be updated in Fedora to reflect the changes, but the sysfs entries are now created correctly and are also functional.

Porting the 3.17/3.18 changes in F20 does not makes IMO much sense, so you should consider trying a F21 alpha with a v3.18-rc1 kernel from rawhide.
Meanwhile, I'll see to update libwacom.
Comment 23 Justin M. Forbes 2014-11-13 11:02:31 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 24 Justin M. Forbes 2014-12-10 10:01:51 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.